#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-1wPhsPSvaOT7SQLpG8Rirs-dns-internal
key:                  dns-4.0.1-1wPhsPSvaOT7SQLpG8Rirs-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  c53b95a2cabca23a1c12fdf94d8bcc87
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/dns-4.0.1
hs-libraries:         HSdns-4.0.1-1wPhsPSvaOT7SQLpG8Rirs-dns-internal
depends:
    array-0.5.4.0 async-2.2.4-KDuVI0AzzpKOLY6VEiTcY
    attoparsec-0.14.3-CcJA00uFmT7DKv4Tw8wjbZ
    auto-update-0.1.6-ECj2VnFsEJ87F9ukgrk6vk base-4.15.1.0
    base16-bytestring-1.0.2.0-BOdQOt8aO5NB2CeRT0px2F
    base64-bytestring-1.2.1.0-IJfNeffkxdOAxIJzuh3onN
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.29-4YmFKGFtOuEFyLIy3LYu5h
    hourglass-0.2.12-5Mrgxhi3ZO5C7bipneQndq
    iproute-1.7.12-1lAbJo7Ppjg54a9lb73ZRg mtl-2.2.2
    network-3.1.2.7-8gILzT5LabS6CDprj5uZiN
    psqueues-0.2.7.3-6a59H2pVFMIKGigs5RTlFA

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-9bHSj7F8huF5BQrcsjAjvM
key:                  dns-4.0.1-9bHSj7F8huF5BQrcsjAjvM
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  75d7ea0c5c68db6bc7069498951df8c3
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/dns-4.0.1
hs-libraries:         HSdns-4.0.1-9bHSj7F8huF5BQrcsjAjvM
depends:
    array-0.5.4.0 async-2.2.4-KDuVI0AzzpKOLY6VEiTcY
    attoparsec-0.14.3-CcJA00uFmT7DKv4Tw8wjbZ
    auto-update-0.1.6-ECj2VnFsEJ87F9ukgrk6vk base-4.15.1.0
    base16-bytestring-1.0.2.0-BOdQOt8aO5NB2CeRT0px2F
    base64-bytestring-1.2.1.0-IJfNeffkxdOAxIJzuh3onN
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.29-4YmFKGFtOuEFyLIy3LYu5h
    dns-4.0.1-1wPhsPSvaOT7SQLpG8Rirs-dns-internal
    hourglass-0.2.12-5Mrgxhi3ZO5C7bipneQndq
    iproute-1.7.12-1lAbJo7Ppjg54a9lb73ZRg mtl-2.2.2
    network-3.1.2.7-8gILzT5LabS6CDprj5uZiN
    psqueues-0.2.7.3-6a59H2pVFMIKGigs5RTlFA

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

